<!DOCTYPE html>
<html lang="en">
  <head>
    <!-- Required meta tags always come first -->
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />

    <!-- build:css css/main.css -->
    <link rel="stylesheet" href="styles.css"/>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    <link href="fontawesome-free-5.15.3-web/css/all.css" rel="stylesheet">

    <!-- endbuild -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Lobster|Open+Sans"/>
    <link rel="icon" href="images/swigLogo.png"/>

    <title>Swig</title>
  </head>
  <body>
    <header class="jumbotron jumbotron-fluid">
        <div class="container">
            <div class="row">
                <div class="col-4 col-sm-3 col-md-2 align-self-center">
                    <a href="index.html"><img src="images/swigLogo.png" class="img-fluid" id="jumbotron-img" /></a>
                </div>
                <div class="col">
                    <h1>Swig</h1>
                    <h2>Find The Drink For You!</h2>
                </div>
            </div>
        </div>
    </header>

    <!--NavBar-->
    <nav class="navbar navbar-expand-lg navbar-dark sticky-top">
        <div class="container">
            <a class="navbar-brand" href="index.html"><img src="images/swigLogo.png"
            height="50" width="50" id="jumbotron-img" /></a>
            <button class="navbar-toggler " type="button" data-toggle="collapse" data-target="#swigNavbar">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="swigNavbar">
                <ul class="navbar-nav">
                    <li class="nav-item active"><a class="nav-link" href="index.html"><i class="fa fa-home fa-lg"></i> Home</a></li>
                    <li class="nav-item"><a class="nav-link" href="about.html"><i class="fa fa-info fa-lg"></i> About</a></li>
                    <li class="nav-item dropdown" id="dropdownToggle">
                        <a class="nav-link dropdown-toggle" ><i class="fa fa-list fa-lg"></i> Reviews</a>
                        <div class="dropdown-menu" id="dropdownMenu">
                            <a class="dropdown-item" href="reviews.html">Featured</a>
                            <a class="dropdown-item" href="#">Alcoholic</a>
                            <a class="dropdown-item" href="#">Non-Alcoholic</a>
                        </div>
                    </li>
                    <li class="nav-item"><a class="nav-link" href="#"><i class="fa fa-address-card fa-lg"></i> Create Review</a></li>
                    <li class="nav-item"><a class="nav-link" href="./product.html"><i class="fas fa-book-reader fa-lg"></i> User Info</a></li>
                </ul>
                <form id="searchBar" class="form-inline my-2 my-lg-0">
                    <div class="row">
                        <div class="col-9">
                            <input class="form-control mr-sm-2" type="search" id="searchInput" placeholder="Search" aria-label="Search">
                        </div>
                        <div class="col-1">
                            <button class="btn btn-outline-danger my-2 my-sm-0 d-block" id="searchDrink" type="submit">Search</button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </nav>

    <!--Modal-->
    <div id="loginModal" class="modal fade" role="dialog">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h3 class="modal-title">Login</h3>
                    <button type="button" class="close" id="closeModal">&times;</button>
                </div>
                <div class="modal-body">
                    <div class="container-fluid">
                        <form class="form-signin" id="login-form">
                            <div class="form-row">
                                <div class="form-group col-12">
                                    <label class="sr-only" for="inputUsername">Username</label>
                                    <input type="username" class="form-control form-control-sm" id="inputUsername" placeholder="Username">
                                </div>
                                <div class="form-group col-12">
                                    <label class="sr-only" for="inputPassword">Password</label>
                                    <input type="password" class="form-control form-control-sm" id="inputPassword" placeholder="Password">
                                </div>
                                <div class="col">
                                    <div class="form-check">
                                        <input class="form-check-input" type="checkbox">
                                        <label class="form-checl-label">Remember Me</label>
                                    </div>
                                </div>
                            </div>
                            <div class="form-row">
                                <button type="button" class="btn btn-danger btn-sm ml-auto" id="cancelModal">Cancel</button>
                                <button type="submit" class="btn btn-primary btn-sm ml-auto" >Sign in</button>
                                <a href="#"><button type="button" class="btn btn-secondary btn-sm ml-auto">Sign up</button></a>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="container my-3 text-center" id="createReviewForm">
        <h1>Create A Review</h1>
        <!-- <div class="text-center"> -->
            <form class="py-3" id="review-form">
                <div class="form-row" style="text-align: -webkit-center;">
                    <div class="form-group col-md-6">
                        <label for="inputProductName">Product Name:</label>
                        <div class="col-xs-10">
                            <input type="text" class="form-control" id="inputProductName" placeholder="Product Name...">
                        </div>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="inputProductBrand">Product Brand:</label>
                        <div class="col-xs-10">
                            <input type="text" class="form-control" id="inputProductBrand" placeholder="Product Brand...">
                        </div>
                    </div>
                </div>
                <div class="form-row pb-2" style="text-align: -webkit-center;">
                    <div class="form-group col-md-2">
                        <label for="inputDrinkType">Drink Type: </label>
                        <select id="inputDrinkType" class="form-control">
                        <option selected>Choose...</option>
                        <option>Soft Drink</option>
                        <option>Juice</option>
                        <option>Beer</option>
                        <option>Cider</option>
                        <option>Spirits</option>
                        <option>Wine</option>
                        </select>
                    </div>
                    <div class="form-group col-md-2">
                        <label for="inputRating">Rating: </label>
                        <select id="inputRating" class="form-control">
                        <option selected>Choose...</option>
                        <option>1</option>
                        <option>2</option>
                        <option>3</option>
                        <option>4</option>
                        <option>5</option>
                        </select>
                    </div>
                    <div class="form-group col-md-6">
                        <label for="">Review Text:</label>
                        <div class="col-xs-10">
                            <textarea class="form-control" rows="10" id="inputReviewText" placeholder="Review goes here..."></textarea>
                        </div>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary">Submit</button>
            </form>
        <!-- </div> -->
        
    </div>

     <!--Socials & Contacts-->
    <footer>
        <div class="container">
            <div class="row">
                <div class="col-4 col-sm-2 offset-1" id="footer-elements">
                    <h5>Links</h5>
                    <ul class="list-unstyled">
                    <li><a href="index.html" id="footer-links">Home</a></li>
                    <li><a href="about.html" id="footer-links">About</a></li>
                    <li><a href="reviews.html" id="footer-links">Reviews</a></li>
                    </ul>
                </div>

                <div class="col-6 col-sm-5 text-center" id="footer-elements">
                    <h5>Social</h5>
                    <a class="btn btn-social-icon btn-instagram" href="http://instagram.com/" ><i class="fab fa-2x fa-instagram-square"></i></a>
                    <a class="btn btn-social-icon btn-facebook" href="http://facebook.com/"><i class="fab fa-2x fa-facebook"></i></a>
                    <a class="btn btn-social-icon btn-twitter" href="http://twitter.com/"><i class="fab fa-2x fa-twitter"></i></a>
                </div>

                <div class="col-sm-4 text-center" id="footer-elements">
                    <a role="button" class="btn btn-link" href="tel: +11234567890" id="footer-links"><i class="fa fa-phone"></i> 1-123-345-7890</a><br>
                    <a role="button" class="btn btn-link" href="mailto:contact@swig.com" id="footer-links"><i class="fas fa-envelope"></i> contact@swig.com</a>
                </div>
            </div>
        </div>
    </footer>

    <script
    src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
    integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN"
    crossorigin="anonymous"
  ></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" 
    integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" 
    crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" 
    integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" 
    crossorigin="anonymous"></script>
    <script src="scripts/scripts.js"></script>
    <script src="scripts/login.js"></script>
    <script src="scripts/server-requests.js"></script>
    <script src="scripts/create-review-script.js"></script>
    <script src="scripts/search.js"></script>
    <!-- endbuild -->

  </body>
</html>
